<?php 

namespace Plugin\Guestbook;

class Emoticon
{

    public static function replaceEmoticons($text) { 
            
        $config = self::getEmoticonsConfig(false);
    
        foreach ($config['emoticons'] as $emoticon => $image) {
            
            $quoted_emoticon = preg_quote($emoticon,"#");
            $match = '#(?<=|^)(' . $quoted_emoticon .')(?=|$)#';
            $text = preg_replace($match,'<img src="'.ipFileUrl($config['path']).'/'.$image.'">',$text);
        
        }
    
     return $text; 
    
    }
    
    public static function getEmoticonsConfig ($uniqeIcons = false) {
        
        $configFile = 'Plugin/Guestbook/assets/emoticons.json';

        $configJson = file_get_contents($configFile);

        if ($uniqeIcons) {
        
            $config = json_decode($configJson, true);        
        
            $uniqeArray = array();
            $uniqeArray['path'] = $config['path'];
            $uniqeArray['emoticons'] = array_unique($config['emoticons']);
        
            return $uniqeArray;   
            
        } else {
            
            return json_decode($configJson, true);
        
        }
        
        
    }
    
}
?>
