<?php

namespace Plugin\Guestbook;


class FrontendForm
{

    public static function createForm()
    {
                    
        $form = new \Ip\Form();

        $field = new \Ip\Form\Field\Text(
            array(
                'name' => 'personName',
                'label' => __('Your name', 'Guestbook'),
                'validators' => array('Required'),
            ));
        
            if (ipGetOption('Guestbook.badWordCheck') == 1) {
                $customValidator = new ValidateBadwords();
                $field->addValidator($customValidator);
            }
        $form->addField($field);

        $field = new \Ip\Form\Field\Email(
            array(
                'name' => 'email',
                'label' => __('E-mail', 'Guestbook'),
            ));
        $form->addField($field);

        $field = new \Ip\Form\Field\Textarea(
            array(
                'name' => 'message',
                'label' => __('Your message', 'Guestbook'),
                'validators' => array('Required'),
            ));
        
            if (ipGetOption('Guestbook.badWordCheck') == 1) {
                $customValidator = new ValidateBadwords();
                $field->addValidator($customValidator);
            }
            if (ipGetOption('Guestbook.urlCheck') == 0) {
                $customValidator = new ValidateUrl();
                $field->addValidator($customValidator);
            }
        $form->addField($field);
        
        
        if (ipGetOption('Guestbook.useCaptcha') == 1) {
            $field = new \Ip\Form\Field\Captcha(
                array(
                    'name' => 'captcha',
                    'label' => __('Captcha', 'Guestbook'),
                ));
            $form->addField($field);
        }
        
        $field = new \Ip\Form\Field\Hidden(
            array(
                'name' => 'sa',
                'value' => 'Guestbook.save',
            ));
        $form->addField($field);

        // Submit button
        $form->addField(new \Ip\Form\Field\Submit(array('value' => __('Save', 'Guestbook'))));

        return $form;
    }

} 