<?php
namespace Plugin\Guestbook;

class ValidateBadwords extends \Ip\Form\Validator
{

    // Custom data validator
    public function getError($values, $valueKey, $environment)
    {
        // check and set given value
        if (empty($values[$valueKey])) {
            return false;
        }
        $value = $values[$valueKey];       
 
        // read badwordfile depending on content-language
        $badWordsFile = 'badwords_'.ipContent()->getCurrentLanguage()->code.'.txt';
        $badWords = file('Plugin/Guestbook/assets/'.$badWordsFile, FILE_IGNORE_NEW_LINES);
                                        
        // check, if given value contains badwords
        foreach ($badWords as $word) {
            if (strpos($value, trim($word)) !== false) {
                return __('The field contain bad words', 'Guestbook');
                break;
            }
        }
        return false;
    }
}