<?php

/**
 * Widget controller
 */

namespace Plugin\Guestbook\Widget\Guestbook;

class Controller extends \Ip\WidgetController
{
     public function getTitle() {
        return __('Guestbook', 'Guestbook');
    }
      
    public function generateHtml($revisionId, $widgetId, $data, $skin)
    {        
        $pageSize = !empty($data['rowsperpage']) ? intval($data['rowsperpage']) : intval(ipGetOption('Guestbook.rowsPerPage'));
        $currentPage = 1;
        
        $guestbookContent = \Plugin\Guestbook\SiteController::getGuestbookContent($pageSize,$currentPage);  
    
        return parent::generateHtml($revisionId, $widgetId, $guestbookContent, $skin);
    }
        

    public function adminHtmlSnippet()
    {
        $variables = array(
            'optionsForm' => $this->optionsForm()
        );
        return ipView('snippet/options.php', $variables)->render();
    
    }
    
    protected function optionsForm()
    {
        $curUrl = \Ip\Internal\UrlHelper::getCurrentUrl();

        $form = new \Ip\Form();
        $form->setEnvironment(\Ip\Form::ENVIRONMENT_ADMIN);

        $field = new \Ip\Form\Field\Text (
            array(
                'name' => 'rowsperpage',
                'label' => __('Datasets per page', 'Guestbook'),
                'value' => 20,
            ));
        $form->addField($field);


        return $form; 
    }

    
    
}
