/**
 * @package ImpressPages
 *
 */
var IpWidget_Guestbook;

(function($){
    "use strict";

    IpWidget_Guestbook = function() {

        this.widgetObject = null;
        this.confirmButton = null;
        this.popup = null;
        this.data = {};
        this.textarea = null;

        this.init = function (widgetObject, data) {
            var context = this;
            this.widgetObject = widgetObject;
            this.data = data;

            var container = this.widgetObject.find('.ipsContainer');

            if (this.data.html) {
                container.html(this.data.html);
            }

            var context = this; // set this so $.proxy would work below

            this.$widgetOverlay = $('<div></div>');
            this.widgetObject.prepend(this.$widgetOverlay);
            this.$widgetOverlay.on('click', $.proxy(openPopup, this));

            $(document).on('ipWidgetResized', function () {
                $.proxy(fixOverlay, context)();
            });
            $(window).on('resize', function () {
                $.proxy(fixOverlay, context)();
            });
            $(window).on('resize', function () {
                $.proxy(fixOverlay, context)();
            });
            $.proxy(fixOverlay, context)();

        };

        var fixOverlay = function () {
            this.$widgetOverlay
                .css('position', 'absolute')
                .css('z-index', 1000) // should be higher enough but lower than widget controls
                .width(this.widgetObject.width())
                .height(this.widgetObject.height());
        }

        this.onAdd = function () {
            $.proxy(openPopup, this)();
        };

        var openPopup = function () {
            var context = this;
            this.popup = $('#ipWidgetGuestbookPopup');
            this.confirmButton = this.popup.find('.ipsConfirm');
            this.rowsperpage = this.popup.find('input[name=rowsperpage]');

            if (this.data.rowsperpage) {
                this.rowsperpage.val(this.data.rowsperpage);
            } else {
                this.rowsperpage.val('10'); // cleanup value if it was set before
            }

            this.popup.modal(); // open modal popup

            this.confirmButton.off(); // ensure we will not bind second time
            this.confirmButton.on('click', $.proxy(save, this));
        };

        var save = function () {
            var data = {
                rowsperpage: this.rowsperpage.val(),
            };

            this.widgetObject.save(data, 1); // save and reload widget
            this.popup.modal('hide');
        };


    };

})(jQuery);
