/**
 * @package ImpressPages
 *
 */

(function ($) {

    $.fn.initPagination = function () {
        var $this = $(this);
        var pag = $this.find('.ipsAction[data-method]').off().on('click', function(e) {       
            e.preventDefault();
            var $this = $(this);
            
            params = $this.data('params');
            params['pagination'] = $(this).parent().parent().data('params');
            
            var postData = {
                'sa': 'Guestbook.getPageAjax',
                'securityToken': ip.securityToken,
                'params': params,
                'jsonrpc': '2.0'
            };

            $.ajax({
                url: ip.baseUrl,
                data: postData,
                dataType: 'json',
                type: 'POST',
                success: function (response) {
                    if (response && response.result) {
                        $('.guestbookcontent').html(response.result);
                        $('.pagination').initPagination();
                    } else if (response && response.error && response.error.message) {
                        alert(response.error.message);
                    } else {
                        alert('Unknown response.');
                    }
                },
                error: function (response) {
                    alert('Unexpected error.' + response.responseText);
                }
            });
        });
    }

})(jQuery);
